Subject: Re: [dnssd] service instance names

From: Stuart Cheshire <[email-masked]>
Date: Wed, 22 Jan 2014 21:34:42 -0800

On 16 Dec, 2013, at 13:24, Tom Pusateri <[email-masked]> wrote:

> Quick question about service names:
> 
> RFC 6763 describes the general format of service instance names in Section 4.1:
> 
> Service Instance Name = <Instance> . <Service> . <Domain>
> 
> In looking at an example from an iPhone, I see:
> 
> 934406fa._sub._apple-mobdev2._tcp.local.
> 
> Is the service _apple-mobdev2 and the instance 934406fa._sub?
> 
> Or is the service _sub._apple-mobdev2 and the instance 934406fa?

To confirm what others have said, this is a service with subtypes.

The service type is “_apple-mobdev2._tcp”

To perform simple instance filtering, this service type is defined to have subtypes -- in this case “934406fa” is the subtype.

That name is the owner name of a PTR record. If you look at the rdata of the PTR record you will see the name of the service being advertised, in “<Instance> . <Service> . <Domain>” format.

Stuart Cheshire